function widgetExists(name)
{
    var widgets = knownWidgetTypes;
    for (i in widgets) {
        if (widgets[i] == name) {
            return true;
        }
    }

    return false;
}

var topLeftScreen = 0
var rect = screenGeometry(0)

// find our "top left" screen to put the folderview on it
for (var i = 1; i < screenCount; ++i) {
    var g = screenGeometry(i)

    if (g.x <= rect.x && g.top >= rect.top) {
        rect = g
        topLeftScreen = i
    }
}

var hasFolderview = widgetExists("org.kde.plasma.folder");

loadTemplate("org.kde.plasma.desktop.defaultPanel")

for (var i = 0; i < screenCount; ++i) {
    var id = createActivity("Desktop");
    var desktopsArray = desktopsForActivity(id);
    print(desktopsArray.length);
    for( var j = 0; j < desktopsArray.length; j++) {
        desktopsArray[j].wallpaperPlugin = 'org.kde.image';

    if (hasFolderview && i == topLeftScreen) {
       var folderview = desktopsArray[j].addWidget("org.kde.plasma.folder")
       folderview.writeConfig("url", "desktop:/")
    }

        //var clock = desktopsArray[j].addWidget("org.kde.plasma.analogclock");
    }
}
